package com.pcloud.book.pcloudkeyword.dao;

import com.pcloud.book.pcloudkeyword.entity.PcloudKeyword;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudKeywordDao extends BaseDao<PcloudKeyword> {


    List<Long> getIdsByClassifyId(Long keywordClassifyId);

    void deleteByClassifyId(Long keywordClassifyId);

    PcloudKeyword getByClassifyIdAndName(Integer type, Long pcloudClassifyId, String name);

    /**
     * 1002405 反向模糊匹配
     * @return
     */
    List<PcloudKeyword> listAllBlurryKeyword(Long pcloudClassifyId);

    Boolean skillExist(Long skillId);
}
